Qyra
ReferenceHomepage

GET/api/v1/projects/{projectUuid}/homepage/view-as

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
targetTypestringYes
userUuidstringNo
groupUuidstringNo
rolestringNo

Responses

200 — Success

{
  "results": {
    "reason": {
      "priority": 0,
      "groupUuid": "string",
      "type": "group"
    },
    "resolved": {
      "homepage": {
        "config": {
          "rows": [
            {
              "blocks": [
                {
                  "config": {
                    "content": "string"
                  },
                  "type": "markdown",
                  "id": "string"
                }
              ],
              "id": "string"
            }
          ],
          "version": 1
        },
        "name": "string",
        "homepageUuid": "string"
      },
      "type": "homepage"
    }
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}